﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="BaseDeDatosDataSet31" targetNamespace="http://tempuri.org/BaseDeDatosDataSet31.xsd" xmlns:mstns="http://tempuri.org/BaseDeDatosDataSet31.xsd" xmlns="http://tempuri.org/BaseDeDatosDataSet31.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="BaseDeDatosConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="BaseDeDatosConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.SoftCars.Properties.Settings.GlobalReference.Default.BaseDeDatosConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="marca_tarjetaTableAdapter" GeneratorDataComponentClassName="marca_tarjetaTableAdapter" Name="marca_tarjeta" UserDataComponentName="marca_tarjetaTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="BaseDeDatosConnectionString (Settings)" DbObjectName="BaseDeDatos.dbo.marca_tarjeta" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[marca_tarjeta] WHERE (([idMarcaTarjeta] = @Original_idMarcaTarjeta) AND ((@IsNull_marcaTarjeta = 1 AND [marcaTarjeta] IS NULL) OR ([marcaTarjeta] = @Original_marcaTarjeta)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idMarcaTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idMarcaTarjeta" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_marcaTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="marcaTarjeta" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_marcaTarjeta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="marcaTarjeta" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[marca_tarjeta] ([marcaTarjeta]) VALUES (@marcaTarjeta);
SELECT idMarcaTarjeta, marcaTarjeta FROM marca_tarjeta WHERE (idMarcaTarjeta = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@marcaTarjeta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="marcaTarjeta" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT idMarcaTarjeta, marcaTarjeta FROM dbo.marca_tarjeta</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[marca_tarjeta] SET [marcaTarjeta] = @marcaTarjeta WHERE (([idMarcaTarjeta] = @Original_idMarcaTarjeta) AND ((@IsNull_marcaTarjeta = 1 AND [marcaTarjeta] IS NULL) OR ([marcaTarjeta] = @Original_marcaTarjeta)));
SELECT idMarcaTarjeta, marcaTarjeta FROM marca_tarjeta WHERE (idMarcaTarjeta = @idMarcaTarjeta)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@marcaTarjeta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="marcaTarjeta" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idMarcaTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idMarcaTarjeta" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_marcaTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="marcaTarjeta" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_marcaTarjeta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="marcaTarjeta" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idMarcaTarjeta" ColumnName="idMarcaTarjeta" DataSourceName="BaseDeDatos.dbo.marca_tarjeta" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idMarcaTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idMarcaTarjeta" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idMarcaTarjeta" DataSetColumn="idMarcaTarjeta" />
              <Mapping SourceColumn="marcaTarjeta" DataSetColumn="marcaTarjeta" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="nombre_tarjetaTableAdapter" GeneratorDataComponentClassName="nombre_tarjetaTableAdapter" Name="nombre_tarjeta" UserDataComponentName="nombre_tarjetaTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="BaseDeDatosConnectionString (Settings)" DbObjectName="BaseDeDatos.dbo.nombre_tarjeta" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[nombre_tarjeta] WHERE (([idNombreTarjeta] = @Original_idNombreTarjeta) AND ((@IsNull_nombreTarjeta = 1 AND [nombreTarjeta] IS NULL) OR ([nombreTarjeta] = @Original_nombreTarjeta)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idNombreTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idNombreTarjeta" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_nombreTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="nombreTarjeta" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_nombreTarjeta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="nombreTarjeta" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[nombre_tarjeta] ([nombreTarjeta]) VALUES (@nombreTarjeta);
SELECT idNombreTarjeta, nombreTarjeta FROM nombre_tarjeta WHERE (idNombreTarjeta = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@nombreTarjeta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="nombreTarjeta" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT idNombreTarjeta, nombreTarjeta FROM dbo.nombre_tarjeta</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[nombre_tarjeta] SET [nombreTarjeta] = @nombreTarjeta WHERE (([idNombreTarjeta] = @Original_idNombreTarjeta) AND ((@IsNull_nombreTarjeta = 1 AND [nombreTarjeta] IS NULL) OR ([nombreTarjeta] = @Original_nombreTarjeta)));
SELECT idNombreTarjeta, nombreTarjeta FROM nombre_tarjeta WHERE (idNombreTarjeta = @idNombreTarjeta)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@nombreTarjeta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="nombreTarjeta" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idNombreTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idNombreTarjeta" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_nombreTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="nombreTarjeta" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_nombreTarjeta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="nombreTarjeta" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idNombreTarjeta" ColumnName="idNombreTarjeta" DataSourceName="BaseDeDatos.dbo.nombre_tarjeta" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idNombreTarjeta" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idNombreTarjeta" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idNombreTarjeta" DataSetColumn="idNombreTarjeta" />
              <Mapping SourceColumn="nombreTarjeta" DataSetColumn="nombreTarjeta" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="BaseDeDatosDataSet31" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="BaseDeDatosDataSet31" msprop:Generator_UserDSName="BaseDeDatosDataSet31">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="marca_tarjeta" msprop:Generator_TableClassName="marca_tarjetaDataTable" msprop:Generator_TableVarName="tablemarca_tarjeta" msprop:Generator_TablePropName="marca_tarjeta" msprop:Generator_RowDeletingName="marca_tarjetaRowDeleting" msprop:Generator_RowChangingName="marca_tarjetaRowChanging" msprop:Generator_RowEvHandlerName="marca_tarjetaRowChangeEventHandler" msprop:Generator_RowDeletedName="marca_tarjetaRowDeleted" msprop:Generator_UserTableName="marca_tarjeta" msprop:Generator_RowChangedName="marca_tarjetaRowChanged" msprop:Generator_RowEvArgName="marca_tarjetaRowChangeEvent" msprop:Generator_RowClassName="marca_tarjetaRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idMarcaTarjeta" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidMarcaTarjeta" msprop:Generator_ColumnPropNameInRow="idMarcaTarjeta" msprop:Generator_ColumnPropNameInTable="idMarcaTarjetaColumn" msprop:Generator_UserColumnName="idMarcaTarjeta" type="xs:int" />
              <xs:element name="marcaTarjeta" msprop:Generator_ColumnVarNameInTable="columnmarcaTarjeta" msprop:Generator_ColumnPropNameInRow="marcaTarjeta" msprop:Generator_ColumnPropNameInTable="marcaTarjetaColumn" msprop:Generator_UserColumnName="marcaTarjeta" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="nombre_tarjeta" msprop:Generator_TableClassName="nombre_tarjetaDataTable" msprop:Generator_TableVarName="tablenombre_tarjeta" msprop:Generator_TablePropName="nombre_tarjeta" msprop:Generator_RowDeletingName="nombre_tarjetaRowDeleting" msprop:Generator_RowChangingName="nombre_tarjetaRowChanging" msprop:Generator_RowEvHandlerName="nombre_tarjetaRowChangeEventHandler" msprop:Generator_RowDeletedName="nombre_tarjetaRowDeleted" msprop:Generator_UserTableName="nombre_tarjeta" msprop:Generator_RowChangedName="nombre_tarjetaRowChanged" msprop:Generator_RowEvArgName="nombre_tarjetaRowChangeEvent" msprop:Generator_RowClassName="nombre_tarjetaRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idNombreTarjeta" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidNombreTarjeta" msprop:Generator_ColumnPropNameInRow="idNombreTarjeta" msprop:Generator_ColumnPropNameInTable="idNombreTarjetaColumn" msprop:Generator_UserColumnName="idNombreTarjeta" type="xs:int" />
              <xs:element name="nombreTarjeta" msprop:Generator_ColumnVarNameInTable="columnnombreTarjeta" msprop:Generator_ColumnPropNameInRow="nombreTarjeta" msprop:Generator_ColumnPropNameInTable="nombreTarjetaColumn" msprop:Generator_UserColumnName="nombreTarjeta" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:marca_tarjeta" />
      <xs:field xpath="mstns:idMarcaTarjeta" />
    </xs:unique>
    <xs:unique name="nombre_tarjeta_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:nombre_tarjeta" />
      <xs:field xpath="mstns:idNombreTarjeta" />
    </xs:unique>
  </xs:element>
</xs:schema>